.project-lock-wrapper {
    display: flex;
    justify-content: center;
    flex: 1;
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
    position: relative;
}

.project-lock {
    display: flex;
    justify-content: center;
    flex: 1;
    background: linear-gradient(90deg, rgba(171,171,171,0) 0%, rgba(0,0,0,1) 20%, rgba(0,0,0,1) 80%, rgba(171,171,171,0) 100%);
    z-index: 1;
}

.project-lock-road-left {
    position: absolute;
    z-index: 20;
    left: 0;
    line-height: 55px;
}

.project-lock-road-right {
    position: absolute;
    z-index: 20;
    right: 0;
    line-height: 55px;
}

.road-circle {
    display: inline-block;
    height: 10px;
    width: 10px;
    border-radius: 50%;
    color: green;
    border: 2px solid;
    margin-left: 5px;
    margin-right: 5px;
    background-color: black;
}

.road-circle-animation {
    display: inline-block;
    height: 10px;
    width: 10px;
    border-radius: 50%;
    color: green;
    border: 2px solid;
    margin-left: 5px;
    margin-right: 5px;
    background-color: green;
    animation-name: circlesBackground;
    transition-property: background-color;
}

.project-lock-background {
    position: absolute;
}

.project-lock-unselected {/*
    box-shadow: 0px 0px 10px 10px green;
    animation: glowGreenBackground 1.5s linear infinite alternate;*/
}

.project-lock-circle {
    border-radius: 50%;
    cursor: pointer;
    width: 36px;
    height: 36px;
    padding: 8px;
    background: #fff;
    border: 2px solid green;
    text-align: center;
    font: 2rem Arial, sans-serif;
    transition: box-shadow 0.5s ease-in-out;
}

.project-lock-circle:hover {
    box-shadow: 0px 0px 20px 10px green;
}

.selected-circle-animation {
    box-shadow: 0px 0px 20px 10px green;
}

.circle-animation {
    box-shadow: 0px 0px 10px 10px black;
}

.selected-background-animation {
    box-shadow: 0px 0px 20px 10px green;
}

.background-animation {
    box-shadow: 0px 0px 10px 10px green;
    animation: glowBlueBackground 1.5s linear infinite alternate;
}

.project-lock img {
    margin-top: 5px;
    height: auto;
    width: 28px;
}

@keyframes glowGreenBackground{
    to {
      box-shadow: 0px 0px 20px 5px green;
    }
}

@keyframes circlesBackground {
    from {
      background-color: black;
    }
    to {
      background-color: green;
    }
  }